<template>
  <v-row justify="center" no-gutters>
    <v-col cols="12">
      <v-row align="center" justify="space-between" no-gutters class="mb-6">
        <div>
          <v-icon color="red" class="mr-2">
            mdi-close-circle-outline
          </v-icon>
          <span>
            No se han podido cargar los datos del archivo
          </span>
        </div>
        <download-file-btn :sync="load" file-type="ORIGINAL" />
      </v-row>
      <v-divider class="mb-6" />
      <v-row justify="center" no-gutters class="mb-4">
        <v-col col="6" align="center">
          <span>Esto puede deberse a que el archivo esté corrompido.</span>
          <v-spacer class="my-4" />
          <span>Intente cargando un nuevo archivo.</span>
        </v-col>
      </v-row>
    </v-col>
  </v-row>
</template>

<script>
import DownloadFileBtn from '~/components/Sync/Loads/Details/Results/DownloadFileBtn';

export default {
  name: 'DoneLoad',
  components: {
    DownloadFileBtn,
  },
  props: {
    load: {
      type: Object,
      required: true,
    },
  },
};
</script>
